Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(398)

Issue 271843005: Simplify ConfigureHeap and change --max_new_space_size to --max_semi_space_size. (Closed)

Created:
6 years, 7 months ago by Hannes Payer (out of office)
Modified:
4 years, 10 months ago
CC:
v8-dev, PaweĊ‚ Hajdan Jr.
Visibility:
Public.

Description

Simplify ConfigureHeap and change --max_new_space_size to --max_semi_space_size. BUG= R=mstarzinger@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=21204

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 6

Patch Set 4 : #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+116 lines, -113 lines) Patch
M include/v8.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M src/api.cc View 1 2 3 4 chunks +10 lines, -10 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 1 chunk +3 lines, -3 lines 0 comments Download
M src/heap.h View 1 2 3 4 chunks +35 lines, -21 lines 0 comments Download
M src/heap.cc View 1 2 3 10 chunks +35 lines, -44 lines 1 comment Download
M src/spaces.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M src/v8.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/cctest/test-api.cc View 1 2 3 1 chunk +2 lines, -3 lines 0 comments Download
M test/cctest/test-heap.cc View 1 2 3 10 chunks +10 lines, -10 lines 0 comments Download
M test/cctest/test-mark-compact.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M test/cctest/test-strings.cc View 1 2 3 1 chunk +2 lines, -3 lines 0 comments Download
M test/mjsunit/binary-op-newspace.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/compiler/math-floor-global.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/compiler/math-floor-local.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/define-property-gc.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/math-abs.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/math-floor-part1.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/math-floor-part2.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/math-floor-part3.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/math-floor-part4.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/regress/regress-1708.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/regress/regress-99167.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M test/mjsunit/regress/regress-create-exception.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 6 (1 generated)
Hannes Payer (out of office)
6 years, 7 months ago (2014-05-08 12:29:26 UTC) #1
Michael Starzinger
LGTM with comments. https://codereview.chromium.org/271843005/diff/40001/include/v8.h File include/v8.h (right): https://codereview.chromium.org/271843005/diff/40001/include/v8.h#newcode3868 include/v8.h:3868: int max_semispace_size() const { return max_semispace_size_; ...
6 years, 7 months ago (2014-05-08 13:22:02 UTC) #2
Hannes Payer (out of office)
https://codereview.chromium.org/271843005/diff/40001/include/v8.h File include/v8.h (right): https://codereview.chromium.org/271843005/diff/40001/include/v8.h#newcode3868 include/v8.h:3868: int max_semispace_size() const { return max_semispace_size_; } On 2014/05/08 ...
6 years, 7 months ago (2014-05-08 13:53:44 UTC) #3
Hannes Payer (out of office)
Committed patchset #4 manually as r21204 (tree was closed).
6 years, 7 months ago (2014-05-09 08:38:48 UTC) #4
ulan
4 years, 10 months ago (2016-02-26 10:01:28 UTC) #6
Message was sent while issue was closed.
https://codereview.chromium.org/271843005/diff/60001/src/heap.cc
File src/heap.cc (right):

https://codereview.chromium.org/271843005/diff/60001/src/heap.cc#newcode5004
src/heap.cc:5004: max_old_generation_size_ = FLAG_max_old_space_size * MB;
This inadvertently broke the public ResourceConstraints API: before the limit
was in bytes and after the limit is in MB.

Powered by Google App Engine
This is Rietveld 408576698